
proc import out=sasuser.foret3 datafile="C:\Users\JMB\Dropbox\Donnees\foret3.txt";
run;
proc glm data=sasuser.foret3;
class foret;
model hauteur=foret;
run;
proc glm data=sasuser.foret3;
class foret;
model hauteur=foret;
means foret;
means foret / t bon tukey;
output out=sortie r=residu p=predite;
run;
proc gplot data=sortie;
plot residu*predite;
run; quit;
proc glm data=sasuser.dents;
class trait germe;
model lnbac=trait germe trait*germe;
output out=sortie predicted=p student=r;
lsmeans trait germe trait*germe/out=graph;
means trait germe / t bon tukey;
run; quit;
proc gplot data=sortie;
plot r*p;run; quit;
proc gplot data=graph;
plot lsmean*germe=trait; run; quit;
proc glm data=sasuser.carottes;
class vari sol;
model temps=vari sol vari*sol;
lsmeans vari;
run; quit;
proc glm data=sasuser.carottes;
class vari sol;
model temps=vari | sol;
lsmeans sol / tdiff;
lsmeans vari / tdiff;
lsmeans vari / adj=bon;
lsmeans vari / adj=tukey;
run; quit;
data sasuser.Emploi2002bis; 
set sasuser.Emploi2002;
keep S AGD SALEU ANPE DCSTOT DDIPL ENFC90;
if SALEU>10;
run;
data sasuser.Emploi2002ter; 
set sasuser.Emploi2002bis; 
SALEUR=SALEU*1;
run;
proc glm data=sasuser.Emploi2002ter;
class S DDIPL;
model SALEUR=S | DDIPL / ss3;
lsmeans DDIPL / adj=tukey;
lsmeans S/ adj=tukey;
run; quit;
proc glm data=sasuser.insect;
class firme produit;
model nb=firme produit(firme);
means firme/tukey;
run;quit;
proc glm data=sasuser.insect;
class firme produit;
model nb=firme;
means firme/tukey;
run;quit;
proc glm data=sasuser.taille;
class ind;
model taille=age ind age*ind; 
run; quit;
proc glm data=sasuser.taille;
class ind;
model taille=age | ind; 
means ind / tukey;
run; quit;
proc glmselect data=sasuser.Emploi2002ter;
class S DDIPL ANPE DCSTOT;
model SALEUR= DCSTOT DDIPL S ANPE AGD AGD*S AGD*ANPE/select =  bic;
run; quit;
